Amazon Linux 2, Apache and Open SSL 1.1.x

0

I've attempted to enable TLSv1.3 on a Lightsail instance with Apache 2.4.52 and I receive "SSLProtocol: Illegal protocol 'TLSv1.3'" I have OpenSSL version 1.0.2k installed. When I run yum update, it does not update OpenSSL. Any thoughts on how you can enable TLSv1.3 on Amazon Linux 2 with Apache?

Pendo
asked 2 years ago1129 views
2 Answers
0
profile picture
David G
answered 2 years ago
  • I've already done that and that is why I'm receiving the error "Illegal protocol TLSv1.3"

0

Still no solution after 9 months? The latest AMI with Amazon Linux 2 2022 is still stuck with OpenSSL 1.0.2 fips. Any way to re-compile HTTPD to work with OpenSSL 1.1.1c?

answered a year ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions